summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/scripts/tex4ht/htcontext.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Master/texmf-dist/scripts/tex4ht/htcontext.sh')
-rwxr-xr-xMaster/texmf-dist/scripts/tex4ht/htcontext.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/Master/texmf-dist/scripts/tex4ht/htcontext.sh b/Master/texmf-dist/scripts/tex4ht/htcontext.sh
index 77dc6a5e309..538c28ccf6c 100755
--- a/Master/texmf-dist/scripts/tex4ht/htcontext.sh
+++ b/Master/texmf-dist/scripts/tex4ht/htcontext.sh
@@ -1,6 +1,14 @@
#!/bin/sh
+# stop at first error
+set -e
-# htcontext (2020-10-25-17:53), generated from tex4ht-mkht.tex
+# No interaction on the TeX runs is desirable.
+# Simpler to do that here than on the individual commands;
+# let's hope exec redirections are portable enough.
+exec </dev/null
+
+
+# htcontext (2020-11-23-10:05), generated from tex4ht-mkht.tex
# Copyright 2009-2020 TeX Users Group
# Copyright 2003-2009 Eitan M. Gurari
#
@@ -21,7 +29,7 @@
# version identification be appreciated.
- texexec --arg="ht-1=$2" --use=tex4ht --dvi --nobackend $5 $1
+ \rubyCall texexec --arg="ht-1=$2" --use=tex4ht --dvi --nobackend $5 $1
tex4ht -f/$1 -i~/tex4ht.dir/texmf/tex4ht/ht-fonts/$3
t4ht -f/$1 $4 ## -d~/WWW/temp/ -m644